com.dolphindb.jdbc

## Class Main

- java.lang.Object
- - com.dolphindb.jdbc.Main

    public class Main
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Main()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `CreateTable(String file, String savePath, String tableName, String host, String port)`
`static boolean` `CreateValueTable(String host, String port)`
`static void` `main(String[] args)`
`static void` `printData(ResultSet rs)`
`static void` `TestAutomaticSwitchingNode()`
`static void` `TestDatabaseMetaData(String url, String sql)`
`static void` `TestPreparedStatement(String url, String loadTable, String select, String preSql, Object[] objects)`
`static void` `TestPreparedStatementBatch(String url, String loadTable, String select, String batchSql, Object[] objects)`
`static void` `TestPreparedStatementBatch1(String url, Object[] objects)`
`static void` `TestPreparedStatementBatch2(String url, Object[] objects)`
`static void` `TestPreparedStatementBatch3(String url, Object[] objects)`
`static void` `TestResultSetDelete(String url, String loadTable, String select, int row, boolean isDelete)`
`static void` `TestResultSetInsert(String url, String loadTable, String select, Object[] objects, boolean isInsert)`
`static void` `TestResultSetUpdate(String url, String loadTable, String select, Object[] objects, boolean isUpdate)`
`static void` `TestStatementExecute(String url, String sql)`
`static void` `TestTypeCast(int type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Main

    public Main()

### Method Detail

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`

#### CreateTable

    public static boolean CreateTable(String file,
                                      String savePath,
                                      String tableName,
                                      String host,
                                      String port)

#### CreateValueTable

    public static boolean CreateValueTable(String host,
                                           String port)

#### TestStatementExecute

    public static void TestStatementExecute(String url,
                                            String sql)
                                     throws Exception

Throws:
  `Exception`

#### TestPreparedStatement

    public static void TestPreparedStatement(String url,
                                             String loadTable,
                                             String select,
                                             String preSql,
                                             Object[] objects)
                                      throws Exception

Throws:
  `Exception`

#### TestPreparedStatementBatch1

    public static void TestPreparedStatementBatch1(String url,
                                                   Object[] objects)
                                            throws Exception

Throws:
  `Exception`

#### TestPreparedStatementBatch2

    public static void TestPreparedStatementBatch2(String url,
                                                   Object[] objects)
                                            throws Exception

Throws:
  `Exception`

#### TestPreparedStatementBatch3

    public static void TestPreparedStatementBatch3(String url,
                                                   Object[] objects)
                                            throws Exception

Throws:
  `Exception`

#### TestPreparedStatementBatch

    public static void TestPreparedStatementBatch(String url,
                                                  String loadTable,
                                                  String select,
                                                  String batchSql,
                                                  Object[] objects)
                                           throws Exception

Throws:
  `Exception`

#### TestResultSetInsert

    public static void TestResultSetInsert(String url,
                                           String loadTable,
                                           String select,
                                           Object[] objects,
                                           boolean isInsert)
                                    throws Exception

Throws:
  `Exception`

#### TestResultSetUpdate

    public static void TestResultSetUpdate(String url,
                                           String loadTable,
                                           String select,
                                           Object[] objects,
                                           boolean isUpdate)
                                    throws Exception

Throws:
  `Exception`

#### TestResultSetDelete

    public static void TestResultSetDelete(String url,
                                           String loadTable,
                                           String select,
                                           int row,
                                           boolean isDelete)
                                    throws Exception

Throws:
  `Exception`

#### TestDatabaseMetaData

    public static void TestDatabaseMetaData(String url,
                                            String sql)
                                     throws Exception

Throws:
  `Exception`

#### printData

    public static void printData(ResultSet rs)
                          throws SQLException

Throws:
  `SQLException`

#### TestTypeCast

    public static void TestTypeCast(int type)
                             throws Exception

Throws:
  `Exception`

#### TestAutomaticSwitchingNode

    public static void TestAutomaticSwitchingNode()
                                           throws Exception

Throws:
  `Exception`